Subject: bug#35624: log-view-diff regression

From: Juri Linkov <[email-masked]>
Date: Sun, 12 May 2019 22:15:20 +0300

>> >> 1. the case when region's beginning (b) and region's end (e)
>> >
>> > What does "e" signify in these examples?
>>
>> "e" signifies the end of the region.
>
> I asked a detailed question, but your answer doesn't make me wiser
> about what "e" means.  Could you please humor me with a more detailed
> answer?

Let me describe how log-view-diff was supposed to work since its introduction
~20 years ago until its behavior was changed accidentally one and half year ago:
when the user puts the beginning of the region on the line with one revision,
and the end of the region on the line with another revision, the function
'log-view-diff-common' extracts the 'from' revision from the line
with the first revision, and the 'to' revision from the line
with the second revision.

bug#28466 tried to improve the logic when the end of the region is
at the end of the buffer, but mistakenly broke long-established behavior,
so currently 'from' falls thru to its previous revision.